Bug 1409597 (CVE-2016-10040) - CVE-2016-10040 qt: stack overflow in QXmlSimpleReader
Summary: CVE-2016-10040 qt: stack overflow in QXmlSimpleReader
Status: CLOSED WONTFIX
Alias: CVE-2016-10040
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20161224,reported=2...
Keywords: Security
Depends On: 1409600 1409601 1409604 1409598 1409599 1409602 1409603
Blocks: 1409605
TreeView+ depends on / blocked
 
Reported: 2017-01-02 15:16 UTC by Martin Prpič
Modified: 2019-06-08 21:41 UTC (History)
3 users (show)

(edit)
A stack overflow flaw was found in the way Qt parsed XML input with several nested opening tags. An application using Qt's QXmlSimpleReader to parse specially crafted XML input could crash.
Clone Of:
(edit)
Last Closed: 2017-06-08 05:26:17 UTC


Attachments (Terms of Use)

Description Martin Prpič 2017-01-02 15:16:37 UTC
A stack overflow (stack exhaustion) flaw was found in the way Qt parsed XML input with several nested opening tags. An application using Qt's QXmlSimpleReader to parse specially crafted XML input could crash.

Comment 1 Martin Prpič 2017-01-02 15:16:44 UTC
External References:

http://seclists.org/oss-sec/2016/q4/745

Comment 2 Martin Prpič 2017-01-02 15:17:39 UTC
Created mingw-qt tracking bugs for this issue:

Affects: epel-7 [bug 1409604]
Affects: fedora-all [bug 1409601]


Created mingw-qt5-qtbase tracking bugs for this issue:

Affects: fedora-all [bug 1409599]


Created qt tracking bugs for this issue:

Affects: fedora-all [bug 1409602]


Created qt3 tracking bugs for this issue:

Affects: fedora-all [bug 1409603]


Created qt5-qtbase tracking bugs for this issue:

Affects: epel-all [bug 1409598]
Affects: fedora-all [bug 1409600]

Comment 3 Dhiru Kholia 2017-05-26 09:29:15 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 5 Fedora Update System 2018-06-09 19:46:49 UTC
qt3-3.3.8b-74.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.